searchNodes=[{"doc":"The primary Riptide module","ref":"Riptide.html","title":"Riptide","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Riptide.html#child_spec/1","title":"Riptide.child_spec/1","type":"function"},{"doc":"Convience method to apply a mutation that deletes a single path Examples iex&gt; Riptide.put_delete([&quot;foo&quot;, &quot;bar&quot;]) {:ok, %{ delete: %{ &quot;foo&quot; =&gt; %{ &quot;bar&quot; =&gt; 1 } }, delete: %{} }}","ref":"Riptide.html#delete/2","title":"Riptide.delete/2","type":"function"},{"doc":"The same as delete/2 but raises an exception if it fails","ref":"Riptide.html#delete!/2","title":"Riptide.delete!/2","type":"function"},{"doc":"Convience method to apply a mutation that merges a single value Examples iex&gt; Riptide.put_merge([&quot;foo&quot;, &quot;bar&quot;], &quot;hello&quot;) {:ok, %{ merge: %{ &quot;foo&quot; =&gt; %{ &quot;bar&quot; =&gt; &quot;hello } }, delete: %{} }}","ref":"Riptide.html#merge/3","title":"Riptide.merge/3","type":"function"},{"doc":"The same as merge/3 but raises an exception if it fails","ref":"Riptide.html#merge!/3","title":"Riptide.merge!/3","type":"function"},{"doc":"Apply a mutation. This will do following steps in order Trigger Riptide.Interceptor.mutation_before/4 Trigger Riptide.Interceptor.mutation_effect/4 Broadcast mutation to interested processes Write mutation to stores Trigger Riptide.Interceptor.mutation_after/4 Examples iex&gt; Riptide.mutation(Riptide.Mutation.put_merge([&quot;foo&quot;, &quot;bar&quot;], &quot;hello&quot;)) {:ok, %{ merge: %{ &quot;foo&quot; =&gt; %{ &quot;bar&quot; =&gt; &quot;hello } }, delete: %{} }}","ref":"Riptide.html#mutation/2","title":"Riptide.mutation/2","type":"function"},{"doc":"The same as mutation/2 but raises an exception if it fails","ref":"Riptide.html#mutation!/2","title":"Riptide.mutation!/2","type":"function"},{"doc":"Pass in a query and get the results. Read more about query structure here. State parameter is optional and is passed to interceptors. Options :min - Starting range of query, optional :max - End range of query, optional :limit - Max number of results, optional Examples iex&gt; Riptide.query(%{ &quot;todo:info&quot; =&gt; %{} }) %{ &quot;todo:info&quot; =&gt; %{ &quot;todo1&quot; =&gt; %{ &quot;text&quot; =&gt; &quot;Document riptide&quot; } } }","ref":"Riptide.html#query/2","title":"Riptide.query/2","type":"function"},{"doc":"Return data under a specific path Options :min - Starting range of query, optional :max - End range of query, optional :limit - Max number of results, optional","ref":"Riptide.html#query_path/3","title":"Riptide.query_path/3","type":"function"},{"doc":"The same as query_path/3 but raises an exception if it fails","ref":"Riptide.html#query_path!/3","title":"Riptide.query_path!/3","type":"function"},{"doc":"Starts a Riptide process. Probably should not called this directly and instead should be placed inside your application&#39;s root supervisor. Options :port - Optional, will override default port of 12_000","ref":"Riptide.html#start_link/1","title":"Riptide.start_link/1","type":"function"},{"doc":"Return a stream of values underneath a path Options :min - Starting range of query, optional :max - End range of query, optional :limit - Max number of results, optional Examples iex&gt; Riptide.stream([&quot;todo:info&quot;]) |&gt; Enum.take(1) [ %{&quot;todo1&quot;, %{ &quot;text&quot; =&gt; &quot;Document riptide&quot; }} ]","ref":"Riptide.html#stream/3","title":"Riptide.stream/3","type":"function"},{"doc":"","ref":"Riptide.Handler.Store.html","title":"Riptide.Handler.Store","type":"module"},{"doc":"Callback implementation for c:Riptide.Handler.handle_call/3.","ref":"Riptide.Handler.Store.html#handle_call/3","title":"Riptide.Handler.Store.handle_call/3","type":"function"},{"doc":"Callback implementation for c:Riptide.Handler.handle_cast/3.","ref":"Riptide.Handler.Store.html#handle_cast/3","title":"Riptide.Handler.Store.handle_cast/3","type":"function"},{"doc":"Callback implementation for c:Riptide.Handler.handle_info/2.","ref":"Riptide.Handler.Store.html#handle_info/2","title":"Riptide.Handler.Store.handle_info/2","type":"function"},{"doc":"Riptide Interceptors let you define simple rules using Elixir&#39;s pattern matching that trigger conditionally when data is written or read. Each one is defined as a module that can be added to your Riptide configuration for easy enabling/disabling. config :riptide, interceptors: [ TodoList.Permissions, TodoList.Todo.Created, TodoList.Todo.Alert ] Every Interceptor in this list is called in order for every Mutation and Query processed Mutation Interceptors Mutation interceptors run as a mutation is being processed. The callbacks are called for each part of the paths in the mutation so you can define a pattern to match any kind of mutation. The arguments passed to them are path: A string list representing the path where the data is being written layer: The merge and delete that is occuring at the path mut: The full, original mutation state: The state of the connection which can be used to store things like the currently authed user mutation_before This runs before a mutation is written. It&#39;s best used to perform validations to make sure the data looks right, augmenting mutations with information that is known by the server only, or data denormalization. Here is an example that keeps track of the time when a Todo was marked complete defmodule Todo.Created do use Riptide.Interceptor def mutation_before([&quot;todos&quot;, _key], %{ merge: %{ &quot;complete&quot; =&gt; true }}, state) do { :merge, %{ &quot;times&quot; =&gt; %{ &quot;completed&quot; =&gt; :os.system_time(:millisecond) } } } end end The valid responses are :ok - Returns successfully but doesn&#39;t modify anything {:error, err} - Halts processing of interceptors and returns the error {:combine, mut} - Combines mut with the input mutation before writing {:merge, map} - Convenience version of :combine that merges map at the current path {:delete, map} - Convenience version of :combine that deletes map at the current path mutation_effect This interceptor can be used to schedule work to be done after a mutation is successfully written. It can be used to trigger side effects like sending an email or syncing data with a third party system. defmodule Todo.Created do use Riptide.Interceptor def mutation_before([&quot;todos&quot;, _key], %{ merge: %{ &quot;complete&quot; =&gt; true }}, state) do { :merge, %{ &quot;times&quot; =&gt; %{ &quot;completed&quot; =&gt; :os.system_time(:millisecond) } } } end end The valid responses are :ok - Returns successfully but doesn&#39;t schedule any work {fun, args} - Calls fun in the current module with args {module, fun, args} - Calls fun in module with args Query Interceptors Query interceptors run as a query is being processed. They can be used to allow/disallow access to certain paths or even expose third party data sources. Unlike the mutation interceptors they are called only once for each path requested by a query. The arguments passed to them are path: A string list representing the full path where the data is being written opts: The options for the query at this path state: The state of the connection which can be used to store things like the currently authed user query_before This runs before data is read. A common way to use it is to control access to data defmodule Todo.Permissions do use Riptide.Interceptor def query_before([&quot;secrets&quot; | _rest], _opts, state) do case state do state.user === &quot;bad-guy&quot; -&gt; {:error, :auth_error} true -&gt; :ok end end end The valid responses are :ok - Returns successfully {:error, err} - Halts processing of interceptors and returns the error query_resolve This is run before data is fetched from the store. This interceptor allows you to return data for the query and skip reading from the store. They effectively create virtual paths. defmodule Todo.Twilio do use Riptide.Interceptor def query_resolve([&quot;twilio&quot;, &quot;numbers&quot; | _rest], _opts, state) do TwilioApi.numbers() |&gt; case do {:ok, result} -&gt; Kernel.get_in(result, rest) {:error, err} -&gt; {:error, err} end end end The valid responses are nil - Skips this interceptor and continues processing any_value - Returns any_value as the data under the requested path","ref":"Riptide.Interceptor.html","title":"Riptide.Interceptor","type":"behaviour"},{"doc":"","ref":"Riptide.Interceptor.html#c:mutation_after/4","title":"Riptide.Interceptor.mutation_after/4","type":"callback"},{"doc":"Trigger mutation_before callback on configured interceptors for given mutation","ref":"Riptide.Interceptor.html#mutation_before/2","title":"Riptide.Interceptor.mutation_before/2","type":"function"},{"doc":"Trigger mutation_before callback on interceptors for given mutation","ref":"Riptide.Interceptor.html#mutation_before/3","title":"Riptide.Interceptor.mutation_before/3","type":"function"},{"doc":"","ref":"Riptide.Interceptor.html#c:mutation_before/4","title":"Riptide.Interceptor.mutation_before/4","type":"callback"},{"doc":"Trigger mutation_effect callback on configured interceptors for given mutation","ref":"Riptide.Interceptor.html#mutation_effect/2","title":"Riptide.Interceptor.mutation_effect/2","type":"function"},{"doc":"Trigger mutation_effect callback on interceptors for given mutation","ref":"Riptide.Interceptor.html#mutation_effect/3","title":"Riptide.Interceptor.mutation_effect/3","type":"function"},{"doc":"","ref":"Riptide.Interceptor.html#c:mutation_effect/4","title":"Riptide.Interceptor.mutation_effect/4","type":"callback"},{"doc":"Trigger query_before callback on configured interceptors for given query","ref":"Riptide.Interceptor.html#query_before/2","title":"Riptide.Interceptor.query_before/2","type":"function"},{"doc":"Trigger query_before callback on interceptors for given query","ref":"Riptide.Interceptor.html#query_before/3","title":"Riptide.Interceptor.query_before/3","type":"function"},{"doc":"","ref":"Riptide.Interceptor.html#c:query_before/3","title":"Riptide.Interceptor.query_before/3","type":"callback"},{"doc":"Trigger query_resolve callback on configured interceptors for given query","ref":"Riptide.Interceptor.html#query_resolve/2","title":"Riptide.Interceptor.query_resolve/2","type":"function"},{"doc":"Trigger query_resolve callback on interceptors for given query","ref":"Riptide.Interceptor.html#query_resolve/3","title":"Riptide.Interceptor.query_resolve/3","type":"function"},{"doc":"","ref":"Riptide.Interceptor.html#c:query_resolve/3","title":"Riptide.Interceptor.query_resolve/3","type":"callback"},{"doc":"A mutation represents a set of changes that can be applied to a Riptide.Store. This module contains functions that make it easy to compose complex mutations and combine them together. Mutations contains two types of operations: :merge - A map containing the values that will be merged in - creating them if they don&#39;t already exist :delete - A map containing the paths that should be deleted from the store Deleting In a mutation, the deletes are always applied first. They are expressed as a map with a value of 1 for each path to be deleted. iex&gt; Mutation.put_delete([&quot;todo:info&quot;, &quot;001&quot;]) %Riptide.Mutation{ delete: %{ &quot;todo:info&quot; =&gt; %{ &quot;001&quot; =&gt; 1 } }, merge: %{} } This mutation will delete everything under [&quot;todo:info&quot;, &quot;001] Merging Merges are applied after deletes and are expressed as a map pointing to the values that should be set. Mutation.put_merge( [&quot;todo:info&quot;, &quot;001&quot;], %{ &quot;key&quot; =&gt; &quot;001&quot;, &quot;text&quot; =&gt; &quot;Document riptide!&quot; } ) %Riptide.Mutation{ delete: %{}, merge: %{ &quot;todo:info&quot; =&gt; %{ &quot;001&quot; =&gt; %{ &quot;key&quot; =&gt; &quot;001&quot;, &quot;text&quot; =&gt; &quot;Document riptide!&quot; } } } } This mutation will delete everything under [&quot;todo:info&quot;, &quot;001] Composing There are various functions in this module for composing sophisticated mutations. A good approach is to break down a complex mutation into atomic pieces for clarity and combine them together. Here are some examples of how they can be helpful: Mutation.new() |&gt; Mutation.put_merge([&quot;user:info&quot;, &quot;001&quot;, &quot;name&quot;], &quot;jack&quot;) |&gt; Mutation.put_merge([&quot;user:info&quot;, &quot;002&quot;, &quot;name&quot;], &quot;john&quot;) |&gt; Mutation.put_delete([&quot;todo:info&quot;]) %Riptde.Mutation{ delete: %{&quot;todo:info&quot; =&gt; 1}, merge: %{ &quot;user:info&quot; =&gt; %{ &quot;001&quot; =&gt; %{&quot;name&quot; =&gt; &quot;jack&quot;}, &quot;002&quot; =&gt; %{&quot;name&quot; =&gt; &quot;john&quot;} } } } def create_user_mut(key, email) do Mutation.put_merge([&quot;user:info&quot;, key], %{ &quot;key&quot; =&gt; key, &quot;email&quot; =&gt; email }) end def set_password_mut(key, password) do Mutation.put_merge([&quot;user:passwords&quot;, key], Bcrypt.encrypt(password)) end Mutation.combine( create_user_mut(&quot;001&quot;, &quot;user@example.com&quot;), set_password_mut(&quot;001&quot;, &quot;mypassword&quot;) ) %Riptde.Mutation{ merge: %{ &quot;user:info&quot; =&gt; %{ &quot;001&quot; =&gt; %{ &quot;key&quot; =&gt; &quot;001&quot;, &quot;email&quot; =&gt; &quot;user@example.com&quot;, } }, &quot;user:password&quot; =&gt; %{ &quot;001&quot; =&gt; &quot;$2a$10$kj5ZhhLWIwik8uK4RJrDA.ddOEIK5VO9f4Y5FwL5D3CvVafSVXcYe&quot; } } } 1..100 |&gt; Stream.map(fn index -&gt; Mutation.merge([&quot;todo:info&quot;, to_string(index)], index) end) |&gt; Mutation.combine() %Riptide.Mutation{ delete: %{}, merge: %{ &quot;todo:info&quot; =&gt; %{ &quot;1&quot; =&gt; 1, &quot;2&quot; =&gt; 2, &quot;3&quot; =&gt; 3, ... } }","ref":"Riptide.Mutation.html","title":"Riptide.Mutation","type":"module"},{"doc":"Applies the entire mutation to the input map. Example iex&gt; Riptide.Mutation.apply( ...&gt; %{&quot;b&quot; =&gt; false}, ...&gt; %{delete: %{}, merge: %{&quot;a&quot; =&gt; true}} ...&gt; ) %{&quot;a&quot; =&gt; true, &quot;b&quot; =&gt; false}","ref":"Riptide.Mutation.html#apply/2","title":"Riptide.Mutation.apply/2","type":"function"},{"doc":"","ref":"Riptide.Mutation.html#chunk/2","title":"Riptide.Mutation.chunk/2","type":"function"},{"doc":"Takes a list or stream of Mutations and combines them in order to produce a single output mutation. Examples iex&gt; 0..3 ...&gt; |&gt; Stream.map(fn index -&gt; ...&gt; Riptide.Mutation.put_merge([&quot;todo:info&quot;, to_string(index)], index) ...&gt; end) ...&gt; |&gt; Riptide.Mutation.combine() %Riptide.Mutation{delete: %{}, merge: %{&quot;todo:info&quot; =&gt; %{&quot;0&quot; =&gt; 0, &quot;1&quot; =&gt; 1, &quot;2&quot; =&gt; 2, &quot;3&quot; =&gt; 3}}}","ref":"Riptide.Mutation.html#combine/1","title":"Riptide.Mutation.combine/1","type":"function"},{"doc":"Combines the right mutation into the left mutation and returns a singular mutation Examples iex&gt; Riptide.Mutation.combine( ...&gt; %Riptide.Mutation{delete: %{}, merge: %{&quot;a&quot; =&gt; true}}, ...&gt; %Riptide.Mutation{delete: %{}, merge: %{&quot;b&quot; =&gt; false}} ...&gt; ) %Riptide.Mutation{delete: %{}, merge: %{&quot;a&quot; =&gt; true, &quot;b&quot; =&gt; false}}","ref":"Riptide.Mutation.html#combine/2","title":"Riptide.Mutation.combine/2","type":"function"},{"doc":"","ref":"Riptide.Mutation.html#delete/2","title":"Riptide.Mutation.delete/2","type":"function"},{"doc":"Takes two maps and returns a mutation that could be applied to turn the the first map into the second. Example iex&gt; Riptide.Mutation.from_diff( ...&gt; %{&quot;a&quot; =&gt; 1}, ...&gt; %{&quot;b&quot; =&gt; 2} ...&gt;) %Riptide.Mutation{delete: %{&quot;a&quot; =&gt; 1}, merge: %{&quot;b&quot; =&gt; 2}}","ref":"Riptide.Mutation.html#from_diff/2","title":"Riptide.Mutation.from_diff/2","type":"function"},{"doc":"Accepts a list and mutation, and returns a new mutation with the given mutation nested at the given path. Example iex&gt; Riptide.Mutation.inflate( ...&gt; [&quot;a&quot;, &quot;b&quot;], ...&gt; %{ ...&gt; delete: %{}, ...&gt; merge: %{ ...&gt; &quot;a&quot; =&gt; 1 ...&gt; } ...&gt; } ...&gt; ) ...&gt; %Riptide.Mutation{ ...&gt; delete: %{ ...&gt; &quot;a&quot; =&gt; %{ ...&gt; &quot;b&quot; =&gt; %{} ...&gt; } ...&gt; }, ...&gt; merge: %{ ...&gt; &quot;a&quot; =&gt; %{ ...&gt; &quot;b&quot; =&gt; %{ ...&gt; &quot;a&quot; =&gt; 1 ...&gt; } ...&gt; } ...&gt; } ...&gt; }","ref":"Riptide.Mutation.html#inflate/2","title":"Riptide.Mutation.inflate/2","type":"function"},{"doc":"Returns a mapping with an entry for every layer of the mutation. The keys represent a path and the value represents the full mutation that is being merged in at that path. Examples iex&gt; Riptide.Mutation.put_merge([&quot;a&quot;, &quot;b&quot;], true) |&gt; Riptide.Mutation.layers %{ [] =&gt; %Riptide.Mutation{ delete: %{}, merge: %{ &quot;a&quot; =&gt; %{ &quot;b&quot; =&gt; true } } }, [&quot;a&quot;] =&gt; %Riptide.Mutation{ delete: %{}, merge: %{ &quot;b&quot; =&gt; true } } }","ref":"Riptide.Mutation.html#layers/1","title":"Riptide.Mutation.layers/1","type":"function"},{"doc":"Creates a new mutation, optionally passing in a map for merges or deletes Examples iex&gt; Riptide.Mutation.new %Riptide.Mutation{delete: %{}, merge: %{}}","ref":"Riptide.Mutation.html#new/2","title":"Riptide.Mutation.new/2","type":"function"},{"doc":"","ref":"Riptide.Mutation.html#put/3","title":"Riptide.Mutation.put/3","type":"function"},{"doc":"Creates a new mutation and puts a path to be deleted","ref":"Riptide.Mutation.html#put_delete/1","title":"Riptide.Mutation.put_delete/1","type":"function"},{"doc":"Adds a delete path to the input mutation Examples iex&gt; Riptide.Mutation.new() ...&gt; |&gt; Riptide.Mutation.put_delete([&quot;c&quot;]) %Riptide.Mutation{delete: %{&quot;c&quot; =&gt; 1}, merge: %{}}","ref":"Riptide.Mutation.html#put_delete/2","title":"Riptide.Mutation.put_delete/2","type":"function"},{"doc":"Creates a new mutation and puts a value to be merged","ref":"Riptide.Mutation.html#put_merge/2","title":"Riptide.Mutation.put_merge/2","type":"function"},{"doc":"Adds a merge value to the input mutation Examples iex&gt; mutation = Riptide.Mutation.put_merge([&quot;a&quot;, &quot;b&quot;], 1) iex&gt; Riptide.Mutation.put_merge(mutation, [&quot;a&quot;, &quot;c&quot;], 2) %Riptide.Mutation{delete: %{}, merge: %{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; 1, &quot;c&quot; =&gt; 2}}}","ref":"Riptide.Mutation.html#put_merge/3","title":"Riptide.Mutation.put_merge/3","type":"function"},{"doc":"A key-value pair representing a layer of the mutation. The key is a list of strings representing the path to the current layer. The value is a mutation, representing any deeper sub-mutations.","ref":"Riptide.Mutation.html#t:layer/0","title":"Riptide.Mutation.layer/0","type":"type"},{"doc":"A map containing paths to be added (merge) and paths to be removed (delete).","ref":"Riptide.Mutation.html#t:t/0","title":"Riptide.Mutation.t/0","type":"type"},{"doc":"","ref":"Riptide.Store.html","title":"Riptide.Store","type":"behaviour"},{"doc":"","ref":"Riptide.Store.html#chunk/3","title":"Riptide.Store.chunk/3","type":"function"},{"doc":"","ref":"Riptide.Store.html#inflate/1","title":"Riptide.Store.inflate/1","type":"function"},{"doc":"","ref":"Riptide.Store.html#init/0","title":"Riptide.Store.init/0","type":"function"},{"doc":"","ref":"Riptide.Store.html#c:init/1","title":"Riptide.Store.init/1","type":"callback"},{"doc":"","ref":"Riptide.Store.html#mutation/1","title":"Riptide.Store.mutation/1","type":"function"},{"doc":"","ref":"Riptide.Store.html#mutation/3","title":"Riptide.Store.mutation/3","type":"function"},{"doc":"","ref":"Riptide.Store.html#c:mutation/3","title":"Riptide.Store.mutation/3","type":"callback"},{"doc":"","ref":"Riptide.Store.html#query/1","title":"Riptide.Store.query/1","type":"function"},{"doc":"","ref":"Riptide.Store.html#c:query/2","title":"Riptide.Store.query/2","type":"callback"},{"doc":"","ref":"Riptide.Store.html#query/3","title":"Riptide.Store.query/3","type":"function"},{"doc":"","ref":"Riptide.Store.html#stream/2","title":"Riptide.Store.stream/2","type":"function"},{"doc":"","ref":"Riptide.Store.html#stream/4","title":"Riptide.Store.stream/4","type":"function"},{"doc":"","ref":"Riptide.Store.Riptide.html","title":"Riptide.Store.Riptide","type":"module"},{"doc":"","ref":"Riptide.Store.Riptide.html#child_spec/1","title":"Riptide.Store.Riptide.child_spec/1","type":"function"},{"doc":"Callback implementation for Riptide.Store.init/1.","ref":"Riptide.Store.Riptide.html#init/1","title":"Riptide.Store.Riptide.init/1","type":"function"},{"doc":"Callback implementation for Riptide.Store.mutation/3.","ref":"Riptide.Store.Riptide.html#mutation/3","title":"Riptide.Store.Riptide.mutation/3","type":"function"},{"doc":"","ref":"Riptide.Store.Riptide.html#opts_name/1","title":"Riptide.Store.Riptide.opts_name/1","type":"function"},{"doc":"Callback implementation for Riptide.Store.query/2.","ref":"Riptide.Store.Riptide.html#query/2","title":"Riptide.Store.Riptide.query/2","type":"function"},{"doc":"","ref":"Riptide.Store.Riptide.Supervisor.html","title":"Riptide.Store.Riptide.Supervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Riptide.Store.Riptide.Supervisor.html#child_spec/1","title":"Riptide.Store.Riptide.Supervisor.child_spec/1","type":"function"},{"doc":"","ref":"Riptide.Store.Riptide.Supervisor.html#connect/1","title":"Riptide.Store.Riptide.Supervisor.connect/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Riptide.Store.Riptide.Supervisor.html#init/1","title":"Riptide.Store.Riptide.Supervisor.init/1","type":"function"},{"doc":"","ref":"Riptide.Store.Riptide.Supervisor.html#start_link/1","title":"Riptide.Store.Riptide.Supervisor.start_link/1","type":"function"},{"doc":"","ref":"Riptide.Websocket.Client.html","title":"Riptide.Websocket.Client","type":"module"},{"doc":"","ref":"Riptide.Websocket.Client.html#start_link/2","title":"Riptide.Websocket.Client.start_link/2","type":"function"},{"doc":"","ref":"Riptide.Websocket.OK.html","title":"Riptide.Websocket.OK","type":"module"},{"doc":"","ref":"Riptide.Websocket.OK.html#handle/2","title":"Riptide.Websocket.OK.handle/2","type":"function"},{"doc":"","ref":"Riptide.Websocket.OK.html#init/2","title":"Riptide.Websocket.OK.init/2","type":"function"},{"doc":"","ref":"Riptide.Websocket.OK.html#terminate/3","title":"Riptide.Websocket.OK.terminate/3","type":"function"}]